# /data/nginx/download.conf
server {
    listen 80; # Coolify will proxy to this port
    root /usr/share/nginx/html;
    autoindex on;

    location / {
        # This is the crucial line to force the download behavior
        add_header Content-Disposition "attachment"; 
    }
}
